import { UserDto } from '@/api/user/UserDto'

export const userFixtures: UserDto[] = [
    {
        id: '1',
        email: 'agent.proprete@mail.fr',
        roles: ['SERVICEOFFER_proprete_ROLE_INTERVENTION_INTERVENANT'],
        reachableRoles: [
            'SERVICEOFFER_proprete_ROLE_SERVICEOFFER_CONSULTER_OFFRE_DE_SERVICE',
            'SERVICEOFFER_proprete_ROLE_SERVICEOFFER_UTILISATEUR',
            'SERVICEOFFER_proprete_ROLE_INTERVENTION_INTERVENANT',
            'SERVICEOFFER_proprete_ROLE_INTERVENTION_OBSERVATEUR',
            'SERVICEOFFER_proprete_ROLE_INTERVENTION_CONSULTER_INTERVENTIONS',
            'SERVICEOFFER_proprete_ROLE_INTERVENTION_SOLDER_INTERVENTIONS',
        ],
    },
    {
        id: '2',
        email: 'magasinier.stock@mail.fr',
        roles: [
            'SERVICEOFFER_stock-et-magasin-general_ROLE_LOGISTIQUE_MAGASINIER',
        ],
        reachableRoles: [
            'SERVICEOFFER_stock-et-magasin-general_ROLE_SERVICEOFFER_CONSULTER_OFFRE_DE_SERVICE',
            'SERVICEOFFER_stock-et-magasin-general_ROLE_SERVICEOFFER_UTILISATEUR',
            'SERVICEOFFER_stock-et-magasin-general_ROLE_LOGISTIQUE_MAGASINIER',
            'SERVICEOFFER_stock-et-magasin-general_ROLE_LOGISTIQUE_CONSULTER_INTERVENTIONS',
            'SERVICEOFFER_stock-et-magasin-general_ROLE_LOGISTIQUE_CONSULTER_RESERVATIONS',
            'SERVICEOFFER_stock-et-magasin-general_ROLE_LOGISTIQUE_SORTIR_ARTICLES',
        ],
    },
    {
        id: '3',
        email: 'agent-proprete-et-stock@mail.fr',
        roles: [
            'SERVICEOFFER_proprete_ROLE_INTERVENTION_INTERVENANT',
            'SERVICEOFFER_stock-et-magasin-general_ROLE_LOGISTIQUE_MAGASINIER',
        ],
        reachableRoles: [
            'SERVICEOFFER_proprete_ROLE_INTERVENTION_INTERVENANT',
            'SERVICEOFFER_proprete_ROLE_SERVICEOFFER_CONSULTER_OFFRE_DE_SERVICE',
            'SERVICEOFFER_proprete_ROLE_SERVICEOFFER_UTILISATEUR',
            'SERVICEOFFER_proprete_ROLE_INTERVENTION_OBSERVATEUR',
            'SERVICEOFFER_proprete_ROLE_INTERVENTION_CONSULTER_INTERVENTIONS',
            'SERVICEOFFER_proprete_ROLE_INTERVENTION_SOLDER_INTERVENTIONS',
            'SERVICEOFFER_stock-et-magasin-general_ROLE_LOGISTIQUE_MAGASINIER',
            'SERVICEOFFER_stock-et-magasin-general_ROLE_SERVICEOFFER_CONSULTER_OFFRE_DE_SERVICE',
            'SERVICEOFFER_stock-et-magasin-general_ROLE_SERVICEOFFER_UTILISATEUR',
            'SERVICEOFFER_stock-et-magasin-general_ROLE_LOGISTIQUE_CONSULTER_INTERVENTIONS',
            'SERVICEOFFER_stock-et-magasin-general_ROLE_LOGISTIQUE_CONSULTER_RESERVATIONS',
            'SERVICEOFFER_stock-et-magasin-general_ROLE_LOGISTIQUE_SORTIR_ARTICLES',
        ],
    },
    {
        id: '4',
        email: 'lecteur-proprete@mail.fr',
        roles: ['SERVICEOFFER_proprete_ROLE_SERVICEOFFER_UTILISATEUR'],
        reachableRoles: [
            'SERVICEOFFER_proprete_ROLE_SERVICEOFFER_UTILISATEUR',
            'SERVICEOFFER_proprete_ROLE_SERVICEOFFER_CONSULTER_OFFRE_DE_SERVICE',
        ],
    },
    {
        id: '5',
        email: 'lecteur-stock@mail.fr',
        roles: [
            'SERVICEOFFER_stock-et-magasin-general_ROLE_SERVICEOFFER_UTILISATEUR',
        ],
        reachableRoles: [
            'SERVICEOFFER_stock-et-magasin-general_ROLE_SERVICEOFFER_UTILISATEUR',
            'SERVICEOFFER_stock-et-magasin-general_ROLE_SERVICEOFFER_CONSULTER_OFFRE_DE_SERVICE',
        ],
    },
    {
        id: '6',
        email: 'visiteur-silab@mail.fr',
        roles: [],
        reachableRoles: [],
    },
    {
        id: '7',
        email: import.meta.env.VITE_AZURE_TEST_USERNAME,
        roles: [
            'ROLE_GOD',
            'SERVICEOFFER_proprete_ROLE_SERVICEOFFER_ADMIN',
            'SERVICEOFFER_ecoles-poitiers_ROLE_SERVICEOFFER_ADMIN',
            'SERVICEOFFER_step_ROLE_SERVICEOFFER_ADMIN',
            'SERVICEOFFER_stock-et-magasin-general_ROLE_SERVICEOFFER_ADMIN',
        ],
        reachableRoles: [
            'ROLE_GOD',
            'SERVICEOFFER_ecoles-poitiers_ROLE_SERVICEOFFER_CONSULTER_OFFRE_DE_SERVICE',
            'SERVICEOFFER_ecoles-poitiers_ROLE_SERVICEOFFER_ADMIN_LIST_USERS',
            'SERVICEOFFER_ecoles-poitiers_ROLE_INTERVENTION_DEMANDER_INTERVENTIONS',
            'SERVICEOFFER_ecoles-poitiers_ROLE_INTERVENTION_AJOUTER_IMAGE_A_DEMANDE_INTERVENTION',
            'SERVICEOFFER_ecoles-poitiers_ROLE_INTERVENTION_SUPPRIMER_IMAGE_A_DEMANDE_INTERVENTION',
            'SERVICEOFFER_ecoles-poitiers_ROLE_INTERVENTION_MODIFIER_DEMANDES_INTERVENTIONS',
            'SERVICEOFFER_ecoles-poitiers_ROLE_INTERVENTION_SUPPRIMER_DEMANDES_INTERVENTIONS',
            'SERVICEOFFER_ecoles-poitiers_ROLE_INTERVENTION_CONSULTER_DEMANDES_INTERVENTIONS',
            'SERVICEOFFER_ecoles-poitiers_ROLE_INTERVENTION_CONSULTER_EQUIPEMENT',
            'SERVICEOFFER_ecoles-poitiers_ROLE_INTERVENTION_CONSULTER_INTERVENTIONS',
            'SERVICEOFFER_dpb_ROLE_SERVICEOFFER_CONSULTER_OFFRE_DE_SERVICE',
            'SERVICEOFFER_dpb_ROLE_SERVICEOFFER_ADMIN_LIST_USERS',
            'SERVICEOFFER_dpb_ROLE_INTERVENTION_DEMANDER_INTERVENTIONS',
            'SERVICEOFFER_dpb_ROLE_INTERVENTION_AJOUTER_IMAGE_A_DEMANDE_INTERVENTION',
            'SERVICEOFFER_dpb_ROLE_INTERVENTION_SUPPRIMER_IMAGE_A_DEMANDE_INTERVENTION',
            'SERVICEOFFER_dpb_ROLE_INTERVENTION_MODIFIER_DEMANDES_INTERVENTIONS',
            'SERVICEOFFER_dpb_ROLE_INTERVENTION_SUPPRIMER_DEMANDES_INTERVENTIONS',
            'SERVICEOFFER_dpb_ROLE_INTERVENTION_CONSULTER_DEMANDES_INTERVENTIONS',
            'SERVICEOFFER_dpb_ROLE_INTERVENTION_CONSULTER_INTERVENTIONS',
            'SERVICEOFFER_dpb_ROLE_INTERVENTION_CONSULTER_EQUIPEMENT',
            'SERVICEOFFER_dpb_ROLE_INTERVENTION_CREER_INTERVENTIONS',
            'SERVICEOFFER_dpb_ROLE_INTERVENTION_MODIFIER_INTERVENTIONS',
            'SERVICEOFFER_dpb_ROLE_INTERVENTION_CONSULTER_COMPTEUR',
            'SERVICEOFFER_dpb_ROLE_INTERVENTION_RELEVER_COMPTEUR',
            'SERVICEOFFER_dpb_ROLE_INTERVENTION_SOLDER_INTERVENTIONS',
            'SERVICEOFFER_dpb_ROLE_INTERVENTION_CONSULTER_ACTIVITE',
            'SERVICEOFFER_dpb_ROLE_INTERVENTION_MODIFIER_ACTIVITE',
            'SERVICEOFFER_dpb_ROLE_INTERVENTION_DECLARER_ACTIVITE',
            'SERVICEOFFER_dpb_ROLE_INTERVENTION_AJOUTER_IMAGE_AVANT_INTERVENTION',
            'SERVICEOFFER_dpb_ROLE_INTERVENTION_SUPPRIMER_IMAGE_AVANT_INTERVENTION',
            'SERVICEOFFER_step_ROLE_SERVICEOFFER_CONSULTER_OFFRE_DE_SERVICE',
            'SERVICEOFFER_step_ROLE_SERVICEOFFER_ADMIN_LIST_USERS',
            'SERVICEOFFER_step_ROLE_INTERVENTION_DEMANDER_INTERVENTIONS',
            'SERVICEOFFER_step_ROLE_INTERVENTION_AJOUTER_IMAGE_A_DEMANDE_INTERVENTION',
            'SERVICEOFFER_step_ROLE_INTERVENTION_SUPPRIMER_IMAGE_A_DEMANDE_INTERVENTION',
            'SERVICEOFFER_step_ROLE_INTERVENTION_MODIFIER_DEMANDES_INTERVENTIONS',
            'SERVICEOFFER_step_ROLE_INTERVENTION_SUPPRIMER_DEMANDES_INTERVENTIONS',
            'SERVICEOFFER_step_ROLE_INTERVENTION_CONSULTER_DEMANDES_INTERVENTIONS',
            'SERVICEOFFER_step_ROLE_INTERVENTION_CONSULTER_INTERVENTIONS',
            'SERVICEOFFER_step_ROLE_INTERVENTION_CONSULTER_EQUIPEMENT',
            'SERVICEOFFER_step_ROLE_INTERVENTION_CREER_INTERVENTIONS',
            'SERVICEOFFER_step_ROLE_INTERVENTION_MODIFIER_INTERVENTIONS',
            'SERVICEOFFER_step_ROLE_INTERVENTION_CONSULTER_COMPTEUR',
            'SERVICEOFFER_step_ROLE_INTERVENTION_RELEVER_COMPTEUR',
            'SERVICEOFFER_step_ROLE_INTERVENTION_SOLDER_INTERVENTIONS',
            'SERVICEOFFER_step_ROLE_INTERVENTION_CONSULTER_ACTIVITE',
            'SERVICEOFFER_step_ROLE_INTERVENTION_MODIFIER_ACTIVITE',
            'SERVICEOFFER_step_ROLE_INTERVENTION_DECLARER_ACTIVITE',
            'SERVICEOFFER_step_ROLE_INTERVENTION_AJOUTER_IMAGE_AVANT_INTERVENTION',
            'SERVICEOFFER_step_ROLE_INTERVENTION_SUPPRIMER_IMAGE_AVANT_INTERVENTION',
            'SERVICEOFFER_proprete_ROLE_SERVICEOFFER_CONSULTER_OFFRE_DE_SERVICE',
            'SERVICEOFFER_proprete_ROLE_SERVICEOFFER_ADMIN_LIST_USERS',
            'SERVICEOFFER_proprete_ROLE_INTERVENTION_CREER_INTERVENTIONS',
            'SERVICEOFFER_proprete_ROLE_INTERVENTION_MODIFIER_INTERVENTIONS',
            'SERVICEOFFER_proprete_ROLE_INTERVENTION_SOLDER_INTERVENTIONS',
            'SERVICEOFFER_proprete_ROLE_INTERVENTION_CONSULTER_ACTIVITE',
            'SERVICEOFFER_proprete_ROLE_INTERVENTION_MODIFIER_ACTIVITE',
            'SERVICEOFFER_proprete_ROLE_INTERVENTION_DECLARER_ACTIVITE',
            'SERVICEOFFER_proprete_ROLE_INTERVENTION_AJOUTER_IMAGE_AVANT_INTERVENTION',
            'SERVICEOFFER_proprete_ROLE_INTERVENTION_SUPPRIMER_IMAGE_AVANT_INTERVENTION',
            'SERVICEOFFER_proprete_ROLE_INTERVENTION_CONSULTER_INTERVENTIONS',
            'SERVICEOFFER_stock-et-magasin-general_ROLE_SERVICEOFFER_CONSULTER_OFFRE_DE_SERVICE',
            'SERVICEOFFER_stock-et-magasin-general_ROLE_SERVICEOFFER_ADMIN_LIST_USERS',
            'SERVICEOFFER_stock-et-magasin-general_ROLE_INTERVENTION_CONSULTER_INTERVENTIONS',
            'SERVICEOFFER_stock-et-magasin-general_ROLE_LOGISTIQUE_CONSULTER_ARTICLES',
            'SERVICEOFFER_stock-et-magasin-general_ROLE_LOGISTIQUE_INVENTORIER_ARTICLES',
            'SERVICEOFFER_stock-et-magasin-general_ROLE_LOGISTIQUE_SORTIR_ARTICLES',
            'SERVICEOFFER_stock-et-magasin-general_ROLE_LOGISTIQUE_CONSULTER_SORTIES_DE_STOCK',
        ],
    },
]
